
QGIS Application - Bug report #5929

QGIS 1.9.0 won't start

2012-07-03 01:01 AM - Nebojša Tanasković

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Windows 7 32-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 15366

Description

Error message:

" The procedure entry point ?GEOPROJ4@3VQString@B could not be located in the dynamic link library qgis_core.dll"

History

#1 - 2012-07-03 01:03 AM - Paolo Cavallini

Similar issue reported by an Italian user:

?symbolForFeature@QgsRenderer@@UAEPAVQgsSymbol@@PBVQgsFeature@@@Z della procedura nella ligreria di collegamento dinamico

qgis_core.dll

#2 - 2012-07-03 01:10 AM - Jürgen Fischer

Installed how?

#3 - 2012-07-03 01:15 AM - Nebojša Tanasković

Installed with OSGEO4W installer- advanced install.

#4 - 2012-07-03 01:25 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to invalid

Nebojša Tanasković wrote:

Installed with OSGEO4W installer- advanced install.

start qgis-dev.bat, not qgis-dev(.exe).

#5 - 2012-07-03 01:47 AM - Nebojša Tanasković
that's what I'm doing all time.

#6 - 2012-07-03 02:40 AM - Jürgen Fischer

- Status changed from Closed to Reopened

Nebojša Tanasković wrote:

that's what I'm doing all time.

Hm, ok.  So how can I reproduce the problem?

Here the message appears when I type qgis-dev (which starts qgis-dev.exe), but not when typing qgis-dev.bat (or using the desktop or start menu

shortcut).

#7 - 2012-07-03 03:31 AM - Nebojša Tanasković

I tried to start:

-via desktop shortcut

-via start menu

-via explorer

result is same- error message.

#8 - 2012-07-06 08:24 AM - Jürgen Fischer

- Status changed from Reopened to Feedback

#9 - 2012-07-19 10:20 PM - Nebojša Tanasković

- File qgis_1.9.0_error_2.jpg added

with new version of Qgis 'Master' I have an similar error with message as in in atachment( also error with qgis_core.dll).

#10 - 2013-01-17 06:50 AM - Pascal Boulerie

Jürgen Fischer :

qgis-dev.bat , not qgis-dev(.exe)

Thanks for the advice of using the bat launcher, it was very helpful to me.

PS By the way, qgis-dev(.exe) would just cause the following error message in French :

qgis-dev.exe – Erreur système

Impossible de démarrer le programme car il manque qgis_core.dll sur votre ordinateur. Essayez de réinstaller le programme pour corriger ce problème.

OK

2025-12-22 2/3



(I am using QGIS 1.9.0-Master on Windows 7.)

#11 - 2014-06-21 03:43 AM - Jürgen Fischer

- Resolution changed from invalid to worksforme

- Status changed from Feedback to Closed
